Class | WSDL::XMLSchema::SimpleExtension
In: | wsdl/xmlSchema/simpleExtension.rb
Parent: | Info

### Methods

new parse_attr parse_element targetnamespace valid?

### Attributes

attributes | [R] |
base | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/simpleExtension.rb, line 21
      def initialize
        super
        @base = nil
        @attributes = XSD::NamedElements.new
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/xmlSchema/simpleExtension.rb, line 44
      def parse_attr(attr, value)
        case attr
        when BaseAttrName
          @base = value
        end
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/simpleExtension.rb, line 35
      def parse_element(element)
        case element
        when AttributeName
          o = Attribute.new
          @attributes << o
          o
        end
      end

targetnamespace()

[Source]

    # File wsdl/xmlSchema/simpleExtension.rb, line 27
      def targetnamespace
        parent.targetnamespace
      end

valid?(value)

[Source]

    # File wsdl/xmlSchema/simpleExtension.rb, line 31
      def valid?(value)
        true
      end

[Validate]